# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global srcname verror

Name:           nodejs-%{srcname}
Version:        1.6.0
Release:        1%{?dist}
Summary:        Richer JavaScript errors
License:        MIT
URL:            https://github.com/davepacheco/node-verror
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(extsprintf)

%description
%{summary}.

%prep
%autosetup -n package
%nodejs_fixdep extsprintf '1.x'
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%{nodejs_symlink_deps}

%check
%{nodejs_symlink_deps} --check
make test

%files
%{!?_licensedir:%global license %doc}
%doc README.md examples/
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sun Dec 06 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.6.0-1
- Initial package
